Introducing OpenTelemetry for Chargebee SDKs — trace every API call in any telemetry tool.
Chargebeechargebee API

List credit units

Retrieves a paginated list of credit units meeting all the conditions specified in the filter parameters.

Sample Request

list active credit units

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/credit_units

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
status[<operator>]

optional, enumerated string filter

The current lifecycle status of the credit unit. Possible values are : active, archived.

Supported operators : is, in

Example → status[is] = "active"

Supported operators: is, in
Example active
id[<operator>]

optional, string filter

The unique identifier of the credit unit. Supported operators : is, in

Example → id[is] = "ai_tokens_001"

Supported operators: is, in
Example ai-tokens

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Credit unit object
Resource object representing credit_unit